git.99rst.org
/
openwrt-packages.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
| inline |
side by side
(parent:
7720266
)
rsync: add version check override
author
George Sapkin
<redacted>
Sun, 24 May 2026 20:10:27 +0000
(23:10 +0300)
committer
George Sapkin
<redacted>
Mon, 25 May 2026 05:02:47 +0000
(08:02 +0300)
Add version check override script.
Signed-off-by: George Sapkin <redacted>
net/rsync/test-version.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/net/rsync/test-version.sh
b/net/rsync/test-version.sh
new file mode 100755
(executable)
index 0000000..
73a1115
--- /dev/null
+++ b/
net/rsync/test-version.sh
@@ -0,0
+1,19
@@
+#!/bin/sh
+
+# shellcheck shell=busybox
+
+case "$PKG_NAME" in
+rrsync|\
+rsyncd)
+ exit 0
+ ;;
+
+rsync)
+ rsync --version | grep -F "$PKG_VERSION"
+ ;;
+
+*)
+ echo "Untested package: $PKG_NAME" >&2
+ exit 1
+ ;;
+esac
git clone https://git.99rst.org/PROJECT